org.gradle.tooling.events.task

## Interface TaskSuccessResult

- All Superinterfaces:
    OperationResult, SuccessResult, TaskOperationResult

      @Incubating
      public interface TaskSuccessResult
      extends TaskOperationResult, SuccessResult

  Describes how a task operation finished successfully.
  Since:
    2.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isUpToDate()` Returns whether this task was uptodate.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationResult

      `getEndTime, getStartTime`

- - ### Method Detail

    - #### isUpToDate

          boolean isUpToDate()

      Returns whether this task was uptodate.
      Returns:
        `true` if this task was uptodate